Radius

Create

post

Create a new Radius MFA.

Query parameters
radiusTypestring · enumOptional

RADIUS Type

Possible values:
Body

Create MFA of type radius

namestring · min: 1 · max: 255 · nullableRequired

The name of the target Multi Factor Authentication. This must be the actual Multi Factor Authentication name used in the RAS farm.

siteIdinteger · int32Optional

Site ID in which to modify the specified Multi Factor Authentication. If the parameter is omitted, the site ID of the Licensing Server will be used.

descriptionstring · nullableOptional

A user-defined Multi Factor Authentication description.

enabledbooleanOptional

Enable or disable the Multi Factor Authentication upon creation. If the parameter is omitted, the Multi Factor Authentication is initialised as Disabled.

radiusServerstring · nullableRequired

The server of the second level authentication provider.

radiusPortinteger · int32 · nullableRequired

The port number of the second level authentication provider.

passwordEncodingstring · enumOptional

Password Encoding

Possible values:
retriesinteger · int32 · nullableRequired

Number of retries.

timeoutinteger · int32 · nullableRequired

Connection timeout (in seconds).

displayNamestring · max: 200 · nullableRequired

RADIUS type name.

usernameOnlyboolean · nullableOptional

Specifies if forwarding of only the Username to RADIUS Server is enabled or not.

forwardFirstPwdToADboolean · nullableOptional

Specifies if forwarding of first password to Windows authentication provider is enabled or not.

backupServerstring · max: 255 · nullableOptional

The backup server of the second level authentication provider.

haModestring · enumOptional

High Availability Mode

Possible values:
secretKeystring · nullableRequired

RADIUS setting. The secret key.

userMessagePromptstring · max: 300 · nullableOptional

User message prompt

Responses
chevron-right
201

Created

application/json; api-version=1.0

MFA Radius Settings

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

namestring · nullableOptional

Name

siteIdinteger · int32Optional

Site ID

descriptionstring · nullableOptional

Description

enabledbooleanOptional

Whether MFA provider is enabled or not.

typestring · enumOptional

Provider Type

Possible values:
inheritDefaultCriteriaSettingsbooleanOptional

If true default criteria restriction settings will be inherited.

serverstring · nullableOptional

The server of the second level authentication provider.

portinteger · int32Optional

The port number of the second level authentication provider.

passwordEncodingstring · enumOptional

Password Encoding

Possible values:
retriesinteger · int32Optional

Number of retries.

timeoutinteger · int32Optional

Connection timeout (in seconds).

displayNamestring · nullableOptional

RADIUS type name.

usernameOnlybooleanOptional

Specifies if forwarding of only the Username to RADIUS Server is enabled or not.

forwardFirstPwdToADbooleanOptional

Specifies if forwarding of first password to Windows authentication provider is enabled or not.

backupServerstring · nullableOptional

The backup server of the second level authentication provider.

haModestring · enumOptional

High Availability Mode

Possible values:
ignoreErrorsstring[] · nullableOptional

List of Ignored Errors.

userMessagePromptstring · nullableOptional

User message prompt

post
/api/MFA/Radius

Update

put

Update the Radius MFA Site Settings.

Path parameters
idinteger · int32Required

The ID for which to modify the MFA Radius settings.

Body

Update MFA of type radius

namestring · min: 1 · max: 255 · nullableOptional

The new name of the target multi-factor authentication .

descriptionstring · nullableOptional

A user-defined multi-factor authentication description.

enabledboolean · nullableOptional

Enable or disable the specified multi-factor authentication in a site.

inheritDefaultCriteriaSettingsboolean · nullableOptional

If true default criteria settings will be inherited.

radiusServerstring · nullableOptional

The server of the second level authentication provider.

radiusPortinteger · int32 · nullableOptional

The port number of the second level authentication provider.

passwordEncodingstring · enumOptional

Password Encoding

Possible values:
retriesinteger · int32 · nullableOptional

Number of retries.

timeoutinteger · int32 · nullableOptional

Connection timeout (in seconds).

displayNamestring · max: 200 · nullableOptional

RADIUS type name.

usernameOnlyboolean · nullableOptional

Specifies if forwarding of only the Username to RADIUS Server is enabled or not.

forwardFirstPwdToADboolean · nullableOptional

Specifies if forwarding of first password to Windows authentication provider is enabled or not.

backupServerstring · max: 255 · nullableOptional

The backup server of the second level authentication provider.

haModestring · enumOptional

High Availability Mode

Possible values:
secretKeystring · nullableOptional

RADIUS setting. The secret key.

ignoreErrorsstring[] · nullableOptional

Specifies the list of Ignored Errors. This is a DuoRadius only setting.

autoConditionsEnabledboolean · nullableOptional

Enable or disable the RADIUS Automation Conditions.

defaultUserMessagePromptbooleanOptional

If this parameter is included, the message prompt will be replaced with the default message prompt.

Default: false
userMessagePromptstring · max: 300 · nullableOptional

User message prompt

Responses
put
/api/MFA/Radius/{id}

No content

Last updated